Public API and agent guides
Start trial
PATCHposts:write
Reference / Posts

Update post

Update mutable fields for an existing post.

Request
PATCH /api/posts/{id}
Authorization: Bearer <api_key>
Parameters
id (path)
The post identifier.
Representative request body
{
  "content": "Updated launch copy"
}
Examples
curl -X PATCH "https://api.creagency.ai/api/posts/<id>" \
  -H "Authorization: Bearer <api_key>" \
  -H "Content-Type: application/json" \
  -d '{
    "content": "Updated launch copy"
  }'
Responses
200
Post updated
400
Validation error
401
Missing, invalid, expired, or revoked API key
403
Missing posts:write scope